/**
 * DREAM
 * Copyright (C) 2003 2004 INRIA Rhone-Alpes
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Contact : dream@objectweb.org
 *
 * Initial developer(s): Matthieu Leclercq
 * Contributor(s): 
 */

package org.objectweb.dream.message;

import java.io.Serializable;

/**
 * Abstract implementation of chunk.
 */
public abstract class AbstractChunk implements Chunk, Cloneable, Serializable
{

  /** The id of the message manager that created this chunk. */
  transient short messageManagerId;

  // ---------------------------------------------------------------------------
  // Implementation of the Chunk interface
  // ---------------------------------------------------------------------------

  /**
   * @see org.objectweb.dream.message.Chunk#getMessageManagerId()
   */
  public short getMessageManagerId()
  {
    return messageManagerId;
  }

  /**
   * @see org.objectweb.dream.message.Chunk#setMessageManagerId(short)
   */
  public void setMessageManagerId(short messageManagerId)
  {
    this.messageManagerId = messageManagerId;
  }

}